/* Reset */
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video{border:0;font-size:100%;font:inherit;vertical-align:baseline;margin:0;padding:0}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}body{line-height:1}blockquote,q{quotes:none}blockquote:before,blockquote:after,q:before,q:after{content:none}table{border-collapse:collapse;border-spacing:0}
*, *:before, *:after { -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box; }

/* Clearfix */
.clearfix:after {
	content: "";
	display: table;
	clear: both;
}
.hidden {
	display: none;
}

/* Spacing */
.highlight, .post h1, h2, h3, p, .post-body ul, .dates, .post-body li, .bio li, video, pre ::before {
	margin-top: 1em;
}

/* Base */
html, body {
	height: 100%;
}

body {
	font: 17px "Avenir Next", Avenir, "-apple-system", Helvetica, Arial, sans-serif;
	color: #666;
	text-rendering: optimizeLegibility;
}

/* Profile */
.profile #wrapper {
	margin: 0 auto;
	text-align: center;
	padding: 80px 0;
}

.profile #avatar {
	display: inline-block;
	width: 80px;
	height: 80px;
	margin-bottom: 1em;
	border-radius: 40px;
}

.profile h4 {
	color: #aaa;
	margin-top: 0;
	font-weight: 400;
}

.bio li {
	list-style-position: outside;
}

/* Nav */
nav.main-nav {
	padding: 10px 20px 0;
	background: #fff;
	background: rgba(255,255,255,.90);
	margin: 0 auto;
	text-align: right;
	z-index: 100;
	line-height: 2.35;
}

nav.main-nav a {
	top: 8px;
	right: 6px;
	color: #000;
	font-size: 13px;
	font-weight: 500;
	margin-left: 12px;
	white-space: nowrap;
}
nav.main-nav a.cta {
	background: #fff;
	color: #5F4EDB;
	padding: 6px 14px;
	border: 2px solid #CED3FB;
	border-bottom: none;
	border-radius: 20px;
	white-space: nowrap;
}

nav.main-nav a.cta:hover {
	background: #CED3FB;
	color: #5F4EDB;
	margin-left: 12px;
}

#wrapper {
	max-width: 600px;
	margin: 0 auto;
	padding: 25px;
}

.home #avatar {
	float: right;
	width: 40px;
	height: 40px;
}

/* Typography */
p, li {
	line-height: 1.7;
}

h1, h2, h3 {
	color: #000;
}

h1 {
	font-size: 30px;
	font-weight: bold;
}

h2 {
	font-size: 25px;
	font-weight: 600;
}

h3 {
	font-size: 20px;
	font-weight: 500;
}

p.small {
	font-size: 14px;
	display: block;
}

code.highlighter-rouge {
	background-color: #F5F5F5;
	border-radius: 5px;
	display: inline-block;
	padding: 5px 8px;
	color: #7F7F7F;
	font-size: 15px;
	line-height: 1.35;
	font-style: italic;
}

/*Accent color*/
a {
	text-decoration: none;
	color: #000;
}

nav.main-nav a, #footer a, #post-nav a, .post-body a:not(header), p a {
	color: #000;
	font-weight: 500;
	box-shadow: inset 0 -2px 0 #CED3FB;
	transition: all .35s;
	transition-timing-function: cubic-bezier(.7, 0, .3, 1);
}

nav.main-nav a:hover, #footer a:hover, #post-nav a:hover, p a:hover {
	box-shadow: inset 0 -25px 0 #CED3FB;
}

ul {
	margin:0;
	padding:0;
}

li {
	list-style-type:circle;
	list-style-position:inside;
}

/* Post */
.post-body li:last-child {
	margin-bottom: 1.5em;
}

article ol li {
	list-style-type: decimal;
	padding-left: 20px;
}

article ul li {
	list-style-type: disc;
	padding-left: 20px;
}

.post-body ol li {
	list-style-type: decimal !important;
}

.post-body ul li {
	list-style-type: disc !important;
}

b, strong {
	font-weight: 500;
  color: #1E2025;
}
em, i {
	font-style: italic;
}

sup {
	vertical-align: super;
	font-size: smaller;
}

.post header, .taxonomy header {
	text-align:center;
}

blockquote {
	padding-left: 15px;
	border-left: 2px solid #eee;
	opacity: 0.8;
	font-style: italic;
	margin-top: 15px;
}

hr {
	display: block;
	border: none;
	height: 2px;
	margin: 34px 0 40px 0;
	background: #eee;
	width: 30%;
	text-align: center;
}

span.separator {
	display: block;
	margin: 42px 0 48px 0;
	width: 100%;
}

span.divider {
	display: block;
	width: 100%;
	background-color: #eee;
	height: 1px;
	margin: 0 auto;
}

span.separator:last-child {
	display: none;
}

span.code {
	font-family:Menlo, Monaco, Courier;
	background-color:#EEE;
	font-size:14px;
}

pre	{
	white-space:pre-wrap;
	padding:20px;
	background-color:#fdfdfd;
	overflow:auto;
	border-radius: 5px;
	background: #272b2d;
	font-family:Menlo, Monaco, Courier;
	font-size: 13px;
	line-height: 1.5em;
	font-weight: 500;
	color: #d0d4d7;
	margin-top: 15px;
}

table {
	width: 100%;
	margin: 40px 0;
	border-collapse: collapse;
	font-size: 13px;
	line-height: 1.5em;
}

th,td {
	text-align: left;
	padding-right: 20px;
	vertical-align: top;
}

table td,td {
	border-spacing: none;
	border-style: solid;
	padding: 10px 15px;
	border-width: 1px 0 0 0;
}

tr>td {
	border-top: 1px solid #eaeaea;
}

tr:nth-child(odd)>td {
	background: #fcfcfc;
}

thead th,th {
	text-align: left;
	padding: 10px 15px;
	height: 20px;
	font-size: 13px;
	font-weight: bold;
	color: #444;
	border-bottom: 1px solid #dadadc;
	cursor: default;
	white-space: nowrap;
}

img {
	width: 100%;
	max-width: 100%;
	height: auto;
	border-radius: 5px;
}

/* Post List */
#post-list li {
	list-style-type: none;
}

#post-list li:last-child {
	margin-bottom: 0;
}

#post-list h2 {
	margin-top: 0;
	line-height: 1.35;
}

/* Footer */
footer #wrapper {
	margin: 0 auto;
	text-align: center;
	padding: 35px 0 80px 0;
}

#footer {
	text-align: center;
}

#footer a {
	color: #000;
	font-size: 13px;
	line-height: 1.35;
	font-weight: 500;
}

#footer li {
	display: inline;
	padding: 0 10px;
}

#post-meta {
	font-size: 13px;
	font-weight: bold;
	line-height: 1.5;
	border-top: 1px solid #eee;
	padding-top: 40px;
	padding-bottom: 40px;
	margin-top: 60px;
	color:#444;
	border-bottom: 1px solid #eee;
}

#post-meta div span {
	color: #aaa;
	font-weight: 500;
	display: block;
}

#post-meta div span.dark {
	color: #1E2025;

}

#post-meta div {
	float: left;
}

/* Post Page */
#header {
	border-bottom: 1px solid #eee;
}

.post, .taxonomy {
	margin: 120px 0 0 0;
}

/* Post Navigation */
#post-nav {
	text-align:center;
	padding-top:20px;
	font-size:13px;
	font-weight:500;
	margin-top: 40px;
}

#post-nav span {
	position: relative;
}

#post-nav span.prev {
	float: left;
}

#post-nav span.next {
	float: right;
}

#post-nav span .arrow {
	position: relative;
	padding: 1px;
}

#post-meta img.avatar {
	height: 36px;
	width: 36px;
	float: left;
	margin-right: 15px;
	box-shadow: 0 0 0 3px #fff, 0 0 0 4px #eee;
	border-radius: 50%;
}

/* Others */

.dates, .locations {
	font-weight: 500;
	font-size: 13px;
	color: #bbb;
	width: 100%;
	text-transform: uppercase;
	padding-top: 5px;
}

h2.headline {
	margin-top: 0;
	margin-bottom: 50px;
}

/* Form */

#search input.field {
	width: 270px;
	height: 34px;
	font-size: 13px;
	font-weight: 400;
	padding-left: 12px;
	border: 2px solid #eee;
	margin-top: 20px;
	border-radius: 17px;
	-webkit-appearance: none;
}

/* Media Queries */
@media screen and (max-width: 540px) {

	footer #wrapper {
		padding: 35px 0 60px 0;
	}

	.profile #wrapper {
		margin: 0 auto;
		text-align: center;
		padding: 70px 0 40px 0;
	}

	#post-meta {
		padding-top: 30px;
		padding-bottom: 30px;
		margin-top: 60px;
	}

	.post {
		margin: 50px 0;
	}

	h1 {
		font-size: 24px;
	}

	h2 {
		font-size: 22px;
	}

	h3 {
		font-size: 19px;
	}

}

video {
	max-width: 100%;
}

/* The main wrapper for pagination links */
.pagination {
	position: relative;
	margin-top: 3rem;
	margin-bottom: 0rem;
	margin-left: auto;
	margin-right: auto;
	font-size: 13px;
	color: #bbb;
	text-align: center;
}

.pagination a {
}

/* Push the previous/next links out to the left/right */
.older-posts,
.newer-posts {
	position: absolute;
	display: inline-block;
}

.older-posts {
	right: 0;
}

.page-number {
	display: inline-block;
	padding: 2px 0;
	min-width: 100px;
}

.newer-posts {
	left: 0;
}

.older-posts:hover,
.newer-posts:hover {
}

.extra-pagination {
	display: none;
}

.extra-pagination .pagination {
	width: auto;
}

/* On page2+ show extra pagination controls at the top of post list */
.paged .extra-pagination {
	display: block;
}

.photos-grid-container {
	display: grid;
	margin-top: 15px;
	grid-column-gap: 15px;
	grid-row-gap: 15px;
	grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
}

.lazy {
  filter: url('#sharpBlur');
  -webkit-filter: url('#sharpBlur');
}

.lazy.loaded {
  filter: none;
}
